Get Ticketing Purchaser Attributes Data by Order Id

This API is used to get ticketing purchaser attributes data by order id associated with the specified event. This API can be accessed by an event admin and super admin. It will return attributes data like seatNumber, eventTicketingId, eventKey, holder related attributes information and question related attributes information.
To call this API, user will have to pass query param with API URL like orderId, dataType and authentication key to authenticate user.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns to the form of JSON.

AttributeDescription
seatNumberThis contains the selected seat number of holder.
attributesThis contains the holder related attributes information.
  • *name:** Name of html field, this will use when send back data to server.
  • *type:** Type of html field, possible values are TEXT, DROPDOWN, EMAIL, NUMBER, DATE.
  • *value:** This will be empty for ticket purchase but will be user while editing order.
  • *defaultValue:** Xml data to render default value, this can be array for dropdown.
  • *mandatory:** Is field mandatory during submission.
  • *eventTicketTypeId:** This will check if attribute needs to show for specific event type.
eventTicketingIdThis contains the event ticketing id.
questionsThis contains the question related attributes information.
  • *name:** Name of html field, this will use when send back data to server.
  • *type:** Type of html field, possible values are TEXT, DROPDOWN, EMAIL, NUMBER, DATE.
  • *value:** This will be empty for ticket purchase but will be user while editing order.
  • *defaultValue:** Xml data to render default value, this can be array for dropdown.
  • *mandatory:** Is field mandatory during submission.
  • *eventTicketTypeId:** This will check if attribute needs to show for specific event type.
eventKeyThis contains the event key.
nestedQuestionsIt contains array of conditional question related information.
  • *defaultValue**: It is list of the values in json format from it user can select value,
  • *eventTicketTypeId**: Its comma seperated ticket types id supported for conditional question,
  • *id**: It is unique id of conditional question,
  • *mandatory**: If it is true then user must have to answer the conditional question,
  • *name**: It is name of conditional question,
  • *parentQueId** : It is parent id of conditional question,
  • *position**: It is position of conditional question to show order form,
  • *selectedAnsId**: It is id used to show by default value for questions ,
  • *type**: It is type of conditional question and its must be CONDITIONAL_QUE,
  • *value**: It is used to store value of conditional question.

Here are the possible error messages, which will return if any condition fails or required data is missing for processing.

Error CodeError Description
200Ticekting holder information.
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
4030201Not Event Host.
Path Params
int64
required

It contains is ticketing purchaser attribute data by order id.

string
required

Event url is unique identifier for your event. E.g https://www.accelevents.com/events/demo. Here is the demo event url.

Query Params
string
enum
Defaults to TICKET

User pass the datatype like TICKET or ADDON.

Allowed:
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json